KDE 4.7 PyKDE API Reference

- KDE's Python API

# Author Class Reference

`from PyKDE4.knewstuff import *`

Namespace: KNS

## Detailed Description

KNewStuff author information.

This class provides accessor methods to the author data as used by KNewStuff. It should probably not be used directly by the application.

Author:
  Josef Spillner (spillner@kde.org)

## Methods
| __init__ (self)
| __init__ (self, KNS.Author other)
QString | email (self)
QString | homepage (self)
QString | jabber (self)
QString | name (self)
| setEmail (self, QString email)
| setHomepage (self, QString homepage)
| setJabber (self, QString jabber)
| setName (self, QString name)

## Method Documentation

__init__ | ( |  | self ) |

Constructor.

__init__ | ( | self, |
|  | KNS.Author | other
| ) |  |  |

QString email | ( |  | self ) |

Retrieve the author's email address.

Returns:
  author email address

QString homepage | ( |  | self ) |

Retrieve the author's homepage.

Returns:
  author homepage

QString jabber | ( |  | self ) |

Retrieve the author's jabber address.

Returns:
  author jabber address

QString name | ( |  | self ) |

Retrieve the author's name.

Returns:
  author name

setEmail | ( | self, |
|  | QString | email
| ) |  |  |

Sets the email address of the author.

setHomepage | ( | self, |
|  | QString | homepage
| ) |  |  |

Sets the homepage of the author.

setJabber | ( | self, |
|  | QString | jabber
| ) |  |  |

Sets the jabber address of the author.

setName | ( | self, |
|  | QString | name
| ) |  |  |

Sets the full name of the author.